.menu-block {
  width: calc(100% - 6.5rem);
  position: fixed;
  top: 2rem;
  left: 3rem;
  z-index: 999;
}

.admin-class .menu-block {
  width: calc(100% - 6.5rem);
  position: fixed;
  top: 10rem;
  left: 3rem;
}

.menu-block--wrapper {
  width: 100%;
  height: 5rem;
  padding: 0.5rem 0.75rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  background: linear-gradient(0.16turn, rgba(2, 48, 82, 0.75) 0%, rgba(4, 167, 198, 0.75) 100%);
  /* background: var(--gradient-base); */
  border-radius: 10rem;
}

.menu-block--logo img {
  height: 4rem;
  padding-left: 1rem;
}

.menu-block--logo-wrapper {
  display: flex;
  gap: var(--gap-base);
  align-items: center;
}

.menu-block--row {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.menu-block--item a {
  display: flex;
  align-items: center;
  color: var(--light);
  padding: 0 var(--base);
  font-size: clamp(0.75rem, 1.5rem, 2.0rem);
  font-weight: var(--font-light);
}

.menu-block--item:hover {
  background: var(--light);
  border-radius: var(--border-radius-base);
  transition: var(--transition-base);
}

.menu-block--item:hover a {
  color: var(--secondary);
  transition: var(--transition-base);
}

.menu-block--item svg {
  fill: var(--light);
  height: 2.6rem;
  margin-right: 0.5rem;
}

.menu-block--item:hover svg {
  fill: var(--secondary);
  transition: var(--transition-base);
}

.menu-block--item--call {
  color: var(--secondary);
  background: var(--light);
  border-radius: 10rem;
  padding: 1rem 3rem;
  outline: 0.25rem solid transparent;
  outline-offset: 0.25rem;
  transition: var(--transition-base);
}

.menu-block--item--call button {
  color: var(--secondary);
  font-size: 1.4rem;
  text-transform: uppercase;
  font-weight: var(--light);
}

.menu-block--item--call:hover {
  outline: 0.25rem solid var(--light);
}


@media only screen and (orientation: portrait) and (min-width: 1px) and (max-width: 999px) {
  .menu-block--row {
    display: none;
  }

  .menu-block--wrapper {
    width: fit-content;
  }

  .menu-block {
    width: fit-content;
    top: auto;
    bottom: 1rem;
    left: 1rem;
  }

  .admin-class .menu-block {
    width: fit-content;
    top: auto;
    bottom: 1rem;
    left: 1rem;
  }
}